Bug 218463 - Systemtap modules don't build with CONFIG_SMP
Systemtap modules don't build with CONFIG_SMP
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: systemtap (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Frank Ch. Eigler
Radek Bíba
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-05 11:10 EST by Jeff Dike
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 0.5.12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-16 10:02:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jeff Dike 2006-12-05 11:10:42 EST
Description of problem:

Systemtap modules don't build with CONFIG_SMP

Version-Release number of selected component (if applicable):


How reproducible:

Steps to Reproduce:
1. Build any script on an SMP box.
2. Observe that it doesn't compile

Actual results:

gcc -Wp,-MD,/tmp/stap9hFiKp/.stap_9045.o.d  -nostdinc -isystem
/usr/lib/gcc/x86_64-redhat-linux/4.1.1/include -D__KERNEL__ -Iinclude -Iinclude2
-I/home/jdike/linux/2.6/git/linux-2.6/include -include include/linux/autoconf.h
 -I/tmp/stap9hFiKp -Wall -Wundef -Wstrict-prototypes -Wno-trigraphs
-fno-strict-aliasing -fno-common -Os -mtune=generic -m64 -mno-red-zone
-mcmodel=kernel -pipe -fno-reorder-blocks -Wno-sign-compare -funit-at-a-time
-mno-sse -mno-mmx -mno-sse2 -mno-3dnow -maccumulate-outgoing-args
-DCONFIG_AS_CFI=1 -DCONFIG_AS_CFI_SIGNAL_FRAME=1 -fomit-frame-pointer
-fasynchronous-unwind-tables -g -fno-stack-protector
-Wdeclaration-after-statement -Wno-pointer-sign -freorder-blocks -Wno-unused
-Werror -I/home/jdike/linux/2.6/git/linux-2.6/"/usr/share/systemtap/runtime"
-I"/usr/share/systemtap/runtime" -DMODULE -D"KBUILD_STR(s)=#s"
-D"KBUILD_BASENAME=KBUILD_STR(stap_9045)" 
-D"KBUILD_MODNAME=KBUILD_STR(stap_9045)" -c -o /tmp/stap9hFiKp/.tmp_stap_9045.o
/tmp/stap9hFiKp/stap_9045.c
In file included from /usr/share/systemtap/runtime/runtime.h:79,
                 from /tmp/stap9hFiKp/stap_9045.c:31:
/usr/share/systemtap/runtime/alloc.c:66: error: expected declaration specifiers
or '...' before '(' token
/usr/share/systemtap/runtime/alloc.c: In function 'percpu_free':
/usr/share/systemtap/runtime/alloc.c:67: error: number of arguments doesn't
match prototype
/home/jdike/linux/2.6/git/linux-2.6/include/linux/percpu.h:51: error: prototype
declaration
/usr/share/systemtap/runtime/alloc.c:69: error: 'objp' undeclared (first use in
this function)
/usr/share/systemtap/runtime/alloc.c:69: error: (Each undeclared identifier is
reported only once
/usr/share/systemtap/runtime/alloc.c:69: error: for each function it appears in.)

Expected results:


Additional info:

This is fixed upstream - FC6 needs a version 1.14 or later of src/runtime/alloc.c
Comment 1 Frank Ch. Eigler 2007-03-16 10:02:42 EDT
FC6's systemtap build has been refreshed.

Note You need to log in before you can comment on or make changes to this bug.